<div class="opt_left_menu" [class]="leftMenuOpen ? 'slideOut' : ''">
    <div class="view_panel_handle" (click)="leftMenuOpen = !leftMenuOpen"> <span> <i class="fa fa-align-center"></i> </span> Analysis </div>
    <tabset #tabset class="leftmenu_tabs">
        <tab heading="Analysis">
            <div class="analysis_layout">
                <div class="analysis_layout_top compact">
                    <dx-tree-view
                    id="selection-treeview"
                    [items]="Devices"
                    dataStructure="Heirarichal"
                    showCheckBoxesMode="normal"
                    [searchEnabled]="true"
                    searchMode="contains"
                    itemTemplate="Devices"
                    (onItemContextMenu)="updateContextItems($event)">

                    <div *dxTemplate="let itemObj of 'Devices'; let i = index">
                        <div class="ItemName" [class]="itemObj.addChild ? 'customAnalysis':''">
                            {{itemObj.text}}
                            <!-- <a href="#" *ngIf="itemObj.popover"  id="pop{{[i]}}" class="add_analaysis" (click)="getIndex($event,itemObj.id)" >+</a>
 -->

                            <!-- <dx-popover  *ngIf="itemObj.popover"
                                target="#pop{{[i]}}"
                                position="right"
                                [width]="300"
                                showEvent="dxclick">
                                <div *dxTemplate="let data of 'content'">
                                    <form>
                                        <dx-validation-group name="loginGroup">
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="form-group">
                                                    <dx-drop-down-box
                                                        id="select_analaysis"
                                                        [(value)]="treeBoxValue"
                                                        valueExpr="id"
                                                        displayExpr="text"
                                                        placeholder="Select a value..."
                                                        [showClearButton]="true"
                                                        >

                                                        <div *dxTemplate="let data of 'content'">
                                                            <dx-tree-view
                                                                keyExpr="id"
                                                                selectionMode="single"
                                                                displayExpr="text"
                                                                [selectByClick]="true"
                                                                (onContentReady)="$event.component.selectItem(treeBoxValue)"
                                                                (onItemSelectionChanged)="treeView_itemSelectionChanged($event)">
                                                            </dx-tree-view>
                                                        </div>
                                                    </dx-drop-down-box>
                                                </div>
                                            </div>
                                            <div class="col-lg-12">
                                                <div class="form-group">
                                                    <dx-text-box id="analysis_name" [(value)]="analysis_name"  placeholder="Custom Analysis Name">
                                                        <dx-validator>
                                                            <dxi-validation-rule type="required"> </dxi-validation-rule>
                                                        </dx-validator>
                                                    </dx-text-box>
                                                </div>
                                            </div>
                                            <div class="col-lg-12">
                                                <div class="d-flex">
                                                    <dx-button
                                                    class="small_btn ml-auto"
                                                    stylingMode="text"
                                                    text="Add Analaysis"
                                                    type="default"
                                                    (onClick)="addAnalaysis($event)">
                                                    </dx-button>
                                                </div>
                                            </div>
                                        </div>
                                        </dx-validation-group>
                                    </form>
                                </div>
                            </dx-popover> -->
                        </div>
                    </div>
                    </dx-tree-view>

                    <dx-context-menu
                        id="analysisContentMenu"
                        [dataSource]="[]"
                        [width]="150"
                        target=".ItemName"
                        (onItemClick)="itemClick($event)">
                        <div *dxTemplate="let e of 'item'">
                            <div  class="customContextMenu" [class]="e.text == 'Create Query'?'topSep':''">
                                {{e.text}}
                            </div>
                        </div>
                    </dx-context-menu>

                    <dx-popup
                    [width]="300"
                    [height]="180"
                    [showTitle]="true"
                    title="Enter Analysis Name"
                    [dragEnabled]="false"
                    [closeOnOutsideClick]="true"
                    [(visible)]="popupVisible">
                    <div *dxTemplate="let data of 'content'">
                            <dx-validation-group name="loginGroup">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            <dx-text-box id="analysis_name" placeholder="Custom Analysis Name" [(value)]="text">
                                                <dx-validator>
                                                    <dxi-validation-rule type="required" message="Please Enter A Name for Custom Analaysis"></dxi-validation-rule>
                                                </dx-validator>
                                            </dx-text-box>
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="d-flex">
                                            <dx-button
                                            class="small_btn ml-auto"
                                            stylingMode="text"
                                            text="Add Analaysis"
                                            type="default"
                                            (onClick)="addAnalaysis($event)">
                                            </dx-button>
                                        </div>
                                    </div>
                                </div>
                            </dx-validation-group>
                    </div>
                     </dx-popup>


                     <!-------------------------POPUP VALIDATION GROUPS----------------->
                     <dx-popup
                     [width]="300"
                     [height]="150"
                     [showTitle]="true"
                     title="Delete"
                     [dragEnabled]="false"
                     [closeOnOutsideClick]="true"
                     [(visible)]="deleteConfirmationPopUp">
                     <div *dxTemplate="let data of 'content'">
                         Are you sure you want to delete?
                         <div class="d-flex mt-3 justify-content-end">
                            <dx-button
                            class="small_btn"
                            stylingMode="text"
                            text="Cancel"
                            type="default"
                            (onClick)="cancel($event)">
                            </dx-button>
                        
                            <dx-button
                            class="small_btn ml-1"
                            stylingMode="text"
                            text="Delete"
                            type="danger"
                            (onClick)="deleteAnalaysis($event)">
                            </dx-button>
                        </div>  
                     </div>
                      </dx-popup>



                      <dx-popup
                      [width]="300"
                      [height]="180"
                      [showTitle]="true"
                      title="Edit Analysis Name"
                      [dragEnabled]="false"
                      [closeOnOutsideClick]="true"
                      [(visible)]="editConfirmationPopUp">
                      <div *dxTemplate="let data of 'content'">
                              <dx-validation-group name="loginGroup">
                                  <div class="row">
                                      <div class="col-lg-12">
                                          <div class="form-group">
                                              <dx-text-box id="analysis_name" placeholder="Custom Analysis Name" [(value)]="text">
                                                  <dx-validator>
                                                      <dxi-validation-rule type="required" message="Please Enter A Name for Custom Analaysis"></dxi-validation-rule>
                                                  </dx-validator>
                                              </dx-text-box>
                                          </div>
                                      </div>
                                      <div class="col-lg-12">
                                          <div class="d-flex">
                                              <dx-button
                                              class="small_btn ml-auto"
                                              stylingMode="text"
                                              text="Update Analaysis"
                                              type="default"
                                              (onClick)="updateAnalaysis($event)">
                                              </dx-button>
                                          </div>
                                      </div>
                                  </div>
                              </dx-validation-group>
                      </div>
                       </dx-popup>

                      <!--///////////////////////////////////////////END/////////////////////////////////-->


                </div>
                <div class="analysis_layout_bottom compact">
                    <div class="analysis_title"><h4>Global Analysis</h4> <a (click)="globalAnalysisPopup($event)" class="icon_btn" href="#" title="">+</a></div>


                    <dx-popup
                    [width]="300"
                    [height]="180"
                    [showTitle]="true"
                    title="Global Analysis Name"
                    [dragEnabled]="false"
                    [closeOnOutsideClick]="true"
                    [(visible)]="globalPopup">
                        <div *dxTemplate="let data of 'content'">
                                <dx-validation-group name="globalGroup">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="form-group">
                                                <dx-text-box id="global_analysis_name" placeholder="Global Analysis Name" [(value)]="text">
                                                    <dx-validator>
                                                        <dxi-validation-rule type="required" message="Please Enter A Name for Global Analaysis"></dxi-validation-rule>
                                                    </dx-validator>
                                                </dx-text-box>
                                            </div>
                                        </div>
                                        <div class="col-lg-12">
                                            <div class="d-flex">
                                                <dx-button
                                                class="small_btn ml-auto"
                                                stylingMode="text"
                                                text="Add Global Analaysis"
                                                type="default"
                                                (onClick)="globalAnalysisClick($event)">
                                                </dx-button>
                                            </div>
                                        </div>
                                    </div>
                                </dx-validation-group>
                        </div>
                     </dx-popup>

                    <dx-tree-view
                        id="global-treeview"
                        [items]="GlobalAnalysis"
                        dataStructure="Heirarichal"
                        showCheckBoxesMode="normal"
                        [searchEnabled]="true"
                        noDataText="Click on '+' to add Global Analaysis"
                        searchMode="contains"
                        itemTemplate="GlobalAnalysis"
                        (onItemContextMenu)="updateContextGlobal($event)">
                        <div *dxTemplate="let itemObj of 'GlobalAnalysis'; let i = index">
                            <div class="globalItem">
                                {{itemObj.text}}
                            </div>
                        </div>
                    </dx-tree-view>


                    <dx-context-menu
                    id="globalContentMenu"
                    [dataSource]="[]"
                    [width]="150"
                    target=".globalItem"
                    (onItemClick)="globalitemClick($event)">
                    <div *dxTemplate="let e of 'item'">
                        <div  class="customContextMenu" [class]="e.text == 'Create Query'?'topSep':''">
                            {{e.text}}
                        </div>
                    </div>
                   </dx-context-menu>

                   <!-------------CUSTOM & GLOBAL ANALYSIS ----------->
                   <dx-popup
                   [width]="300"
                   [height]="180"
                   [showTitle]="true"
                   title="Rename Global Analysis Name"
                   [dragEnabled]="false"
                   [closeOnOutsideClick]="true"
                   [(visible)]="updateGlobalPopup">
                       <div *dxTemplate="let data of 'content'">
                               <dx-validation-group name="globalGroup">
                                   <div class="row">
                                       <div class="col-lg-12">
                                           <div class="form-group">
                                               <dx-text-box id="global_analysis_name" placeholder="Global Analysis Name" [(value)]="text">
                                                   <dx-validator>
                                                       <dxi-validation-rule type="required" message="Please Enter A Name for Global Analaysis" ></dxi-validation-rule>
                                                   </dx-validator>
                                               </dx-text-box>
                                           </div>
                                       </div>
                                       <div class="col-lg-12">
                                           <div class="d-flex">
                                               <dx-button
                                               class="small_btn ml-auto"
                                               stylingMode="text"
                                               text="Update Global Analaysis"
                                               type="default"
                                               (onClick)="updateGlobalAnalysis($event)">
                                               </dx-button>
                                           </div>
                                       </div>
                                   </div>
                               </dx-validation-group>
                       </div>
                    </dx-popup>

                    <dx-popup
                    [width]="300"
                    [height]="180"
                    [showTitle]="true"
                    title="Delete"
                    [dragEnabled]="false"
                    [closeOnOutsideClick]="true"
                    [(visible)]="deleteGlobalPopup">
                    <div *dxTemplate="let data of 'content'">
                        Are you sure you want to delete?
                        <div class="row">
                       <div class="offset-sm-6 col-sm-3 p-l-r-0">
                         
                               <dx-button
                               class="small_btn ml-auto"
                               stylingMode="text"
                               text="Cancel"
                               type="default"
                               (onClick)="cancel($event)">
                               </dx-button>
                          
                       </div>
                       <div class="col-sm-3 p-l-r-0">
                         
                               <dx-button
                               class="small_btn ml-auto"
                               stylingMode="text"
                               text="Delete"
                               type="danger"
                               (onClick)="deleteGlobalAnalaysis($event)">
                               </dx-button>
                         
                       </div>
                       </div>  
                    </div>
                     </dx-popup>



                   <!------------------------------------------------------->

                </div>
            </div><!-- Analysis Layout -->
        </tab><!-- Analysis Tab -->

        <tab heading="Settings">
            Settings
        </tab><!-- Settings Tab -->

        <tab heading="Reports">
            Reports
        </tab><!-- Reports Tab -->
    </tabset>
</div><!-- Optimization Left Menu -->
